<?php

$pharmacy_shop_tp_theme_css = '';

//theme-color
$pharmacy_shop_tp_color_option = get_theme_mod('pharmacy_shop_tp_color_option');

// 1st color
$pharmacy_shop_tp_color_option = get_theme_mod('pharmacy_shop_tp_color_option', '#3DB3FF');
if ($pharmacy_shop_tp_color_option) {
	$pharmacy_shop_tp_theme_css .= ':root {';
	$pharmacy_shop_tp_theme_css .= '--color-primary1: ' . esc_attr($pharmacy_shop_tp_color_option) . ';';
	$pharmacy_shop_tp_theme_css .= '}';
}

//preloader

$pharmacy_shop_tp_preloader_color1_option = get_theme_mod('pharmacy_shop_tp_preloader_color1_option');
$pharmacy_shop_tp_preloader_color2_option = get_theme_mod('pharmacy_shop_tp_preloader_color2_option');
$pharmacy_shop_tp_preloader_bg_color_option = get_theme_mod('pharmacy_shop_tp_preloader_bg_color_option');

if($pharmacy_shop_tp_preloader_color1_option != false){
$pharmacy_shop_tp_theme_css .='.center1{';
	$pharmacy_shop_tp_theme_css .='border-color: '.esc_attr($pharmacy_shop_tp_preloader_color1_option).' !important;';
$pharmacy_shop_tp_theme_css .='}';
}
if($pharmacy_shop_tp_preloader_color1_option != false){
$pharmacy_shop_tp_theme_css .='.center1 .ring::before{';
	$pharmacy_shop_tp_theme_css .='background: '.esc_attr($pharmacy_shop_tp_preloader_color1_option).' !important;';
$pharmacy_shop_tp_theme_css .='}';
}
if($pharmacy_shop_tp_preloader_color2_option != false){
$pharmacy_shop_tp_theme_css .='.center2{';
	$pharmacy_shop_tp_theme_css .='border-color: '.esc_attr($pharmacy_shop_tp_preloader_color2_option).' !important;';
$pharmacy_shop_tp_theme_css .='}';
}
if($pharmacy_shop_tp_preloader_color2_option != false){
$pharmacy_shop_tp_theme_css .='.center2 .ring::before{';
	$pharmacy_shop_tp_theme_css .='background: '.esc_attr($pharmacy_shop_tp_preloader_color2_option).' !important;';
$pharmacy_shop_tp_theme_css .='}';
}
if($pharmacy_shop_tp_preloader_bg_color_option != false){
$pharmacy_shop_tp_theme_css .='.loader{';
	$pharmacy_shop_tp_theme_css .='background: '.esc_attr($pharmacy_shop_tp_preloader_bg_color_option).';';
$pharmacy_shop_tp_theme_css .='}';
}

// footer-bg-color
$pharmacy_shop_tp_footer_bg_color_option = get_theme_mod('pharmacy_shop_tp_footer_bg_color_option');

if($pharmacy_shop_tp_footer_bg_color_option != false){
$pharmacy_shop_tp_theme_css .='#footer{';
	$pharmacy_shop_tp_theme_css .='background: '.esc_attr($pharmacy_shop_tp_footer_bg_color_option).' !important;';
$pharmacy_shop_tp_theme_css .='}';
}

// logo tagline color
$pharmacy_shop_site_tagline_color = get_theme_mod('pharmacy_shop_site_tagline_color');

if($pharmacy_shop_site_tagline_color != false){
$pharmacy_shop_tp_theme_css .='.logo h1 a, .logo p a{';
$pharmacy_shop_tp_theme_css .='color: '.esc_attr($pharmacy_shop_site_tagline_color).';';
$pharmacy_shop_tp_theme_css .='}';
}

$pharmacy_shop_logo_tagline_color = get_theme_mod('pharmacy_shop_logo_tagline_color');
if($pharmacy_shop_logo_tagline_color != false){
$pharmacy_shop_tp_theme_css .='p.site-description{';
$pharmacy_shop_tp_theme_css .='color: '.esc_attr($pharmacy_shop_logo_tagline_color).';';
$pharmacy_shop_tp_theme_css .='}';
}

// footer widget title color
$pharmacy_shop_footer_widget_title_color = get_theme_mod('pharmacy_shop_footer_widget_title_color');
if($pharmacy_shop_footer_widget_title_color != false){
$pharmacy_shop_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$pharmacy_shop_tp_theme_css .='color: '.esc_attr($pharmacy_shop_footer_widget_title_color).';';
$pharmacy_shop_tp_theme_css .='}';
}

// copyright text color
$pharmacy_shop_footer_copyright_text_color = get_theme_mod('pharmacy_shop_footer_copyright_text_color');
if($pharmacy_shop_footer_copyright_text_color != false){
$pharmacy_shop_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$pharmacy_shop_tp_theme_css .='color: '.esc_attr($pharmacy_shop_footer_copyright_text_color).';';
$pharmacy_shop_tp_theme_css .='}';
}

// header image title color
$pharmacy_shop_header_image_title_text_color = get_theme_mod('pharmacy_shop_header_image_title_text_color');
if($pharmacy_shop_header_image_title_text_color != false){
$pharmacy_shop_tp_theme_css .='.box-text h2{';
$pharmacy_shop_tp_theme_css .='color: '.esc_attr($pharmacy_shop_header_image_title_text_color).';';
$pharmacy_shop_tp_theme_css .='}';
}

// menu color
$pharmacy_shop_menu_color = get_theme_mod('pharmacy_shop_menu_color');
if($pharmacy_shop_menu_color != false){
$pharmacy_shop_tp_theme_css .='.main-navigation a{';
$pharmacy_shop_tp_theme_css .='color: '.esc_attr($pharmacy_shop_menu_color).';';
$pharmacy_shop_tp_theme_css .='}';
}

//Footer Font Weight
$pharmacy_shop_footer_copyright_title_font_weight = get_theme_mod( 'pharmacy_shop_footer_copyright_title_font_weight','');
if($pharmacy_shop_footer_copyright_title_font_weight == '100'){
$pharmacy_shop_tp_theme_css .='#footer .site-info p {';
    $pharmacy_shop_tp_theme_css .='font-weight: 100;';
$pharmacy_shop_tp_theme_css .='}';
}else if($pharmacy_shop_footer_copyright_title_font_weight == '200'){
$pharmacy_shop_tp_theme_css .='#footer .site-info p {';
    $pharmacy_shop_tp_theme_css .='font-weight: 200;';
$pharmacy_shop_tp_theme_css .='}';
}else if($pharmacy_shop_footer_copyright_title_font_weight == '300'){
$pharmacy_shop_tp_theme_css .='#footer .site-info p {';
    $pharmacy_shop_tp_theme_css .='font-weight: 300;';
$pharmacy_shop_tp_theme_css .='}';
}else if($pharmacy_shop_footer_copyright_title_font_weight == '400'){
$pharmacy_shop_tp_theme_css .='#footer .site-info p {';
    $pharmacy_shop_tp_theme_css .='font-weight: 400;';
$pharmacy_shop_tp_theme_css .='}';
}else if($pharmacy_shop_footer_copyright_title_font_weight == '500'){
$pharmacy_shop_tp_theme_css .='#footer .site-info p {';
    $pharmacy_shop_tp_theme_css .='font-weight: 500;';
$pharmacy_shop_tp_theme_css .='}';
}else if($pharmacy_shop_footer_copyright_title_font_weight == '600'){
$pharmacy_shop_tp_theme_css .='#footer .site-info p {';
    $pharmacy_shop_tp_theme_css .='font-weight: 600;';
$pharmacy_shop_tp_theme_css .='}';
}else if($pharmacy_shop_footer_copyright_title_font_weight == '700'){
$pharmacy_shop_tp_theme_css .='#footer .site-info p {';
    $pharmacy_shop_tp_theme_css .='font-weight: 700;';
$pharmacy_shop_tp_theme_css .='}';
}else if($pharmacy_shop_footer_copyright_title_font_weight == '800'){
$pharmacy_shop_tp_theme_css .='#footer .site-info p {';
    $pharmacy_shop_tp_theme_css .='font-weight: 800;';
$pharmacy_shop_tp_theme_css .='}';
}else if($pharmacy_shop_footer_copyright_title_font_weight == '900'){
$pharmacy_shop_tp_theme_css .='#footer .site-info p {';
    $pharmacy_shop_tp_theme_css .='font-weight: 900;';
$pharmacy_shop_tp_theme_css .='}';
}
